# social.plus APIs and Services

## Using API

social.plus APIs can be used either in **Admin** or **User** context. Regardless of whether you are using it as an admin or a user, you will need an access token before you can use the API.

### Admin

For Administrators who are using our APIs in making server-to-server API calls, you need an **Admin Access token** to connect to the Amity server.

Refer to [Admin API Access Token](https://docs.amity.co/console/settings#admin-api-access-token) for the instructions on how to generate the admin access token.

### User

If you want to use the social.plus APIs as a user, you need to register a session via [Session API](https://api-docs.amity.co/#/Session/post_api_v3_sessions) to retrieve the **User Access token**. Once you've received the `accessToken`, you can use the token to call other API endpoints. Please note that the User Access token is subject to the same authorization as the owner of the access token.

{% hint style="info" %}
User Access token is valid for 30 days. However, it will be invalidated if a different user ID of the same device is registered with [Device API](https://api-docs.amity.co/#/Device/post_v1_device).
{% endhint %}

#### Revoke the User Access Token

User's access tokens can be revoked via the [Revoke API](https://api-docs.amity.co/#/Session/delete_api_v4_sessions). This API can only be used with an admin access token.

## API Reference

Once you have the appropriate access token, you can now use the token to make API calls.

Our API documentation explains all API endpoints used in social.plus. Refer to[ social.plus API documentation](https://api-docs.amity.co/) for a list of all our social.plus Rest APIs.​


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/analytics-and-moderation/social+-apis-and-services.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
